Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class WritableFactories

    java.lang.Object
      org.apache.hadoop.io.WritableFactories

    @InterfaceAudience.Public
    @InterfaceStability.Stable
    public class WritableFactories

extends Object

Factories for non-public writables. Defining a factory permits `ObjectWritable` to be able to construct instances of non-public classes.

Method Summary
`static WritableFactory` | `getFactory(Class c)` Define a factory for a class.
`static Writable` | `newInstance(Class<? extends Writable> c)` Create a new instance of a class with a defined factory.
`static Writable` | `newInstance(Class<? extends Writable> c, Configuration conf)` Create a new instance of a class with a defined factory.
`static void` | `setFactory(Class c, WritableFactory factory)` Define a factory for a class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setFactory

    public static void setFactory(Class c,
                                  WritableFactory factory)

  Define a factory for a class.

### getFactory

    public static WritableFactory getFactory(Class c)

  Define a factory for a class.

### newInstance

    public static Writable newInstance(Class<? extends Writable> c,
                                       Configuration conf)

  Create a new instance of a class with a defined factory.

### newInstance

    public static Writable newInstance(Class<? extends Writable> c)

  Create a new instance of a class with a defined factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Apache Software Foundation. All Rights Reserved.